from staff.person_profile.controllers.blocks.abstract_block import AbstractBlock


class OfficialBaseBlock(AbstractBlock):
    name = 'official_base'

    fields = {
        'work_email',
        'join_at',
        'login_crm',
    }

    def get_data(self):
        data = self.get_raw_data()

        if not data['login_crm']:
            del data['login_crm']

        return data
